curl --request PUT \
--url https://api.avidoai.com/v0/org-config \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"disableWebhooks": true
}
'{
"data": {
"inferenceProvider": "AZURE",
"disableWebhooks": true,
"webhookRpm": null
}
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Organization Config
Update organization config
Updates the organization configuration settings. Creates a new config if one doesn’t exist. Only updates fields that are provided in the request body.
PUT
/
v0
/
org-config
curl --request PUT \
--url https://api.avidoai.com/v0/org-config \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"disableWebhooks": true
}
'{
"data": {
"inferenceProvider": "AZURE",
"disableWebhooks": true,
"webhookRpm": null
}
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Authorizations
Your unique Avido API key
Your unique Avido Application ID
Body
application/json
Org config data to update
Request body for updating org config
The inference provider for LLM operations
Available options:
OPENAI, AZURE Example:
"AZURE"
When true, prevents simulate-task from sending webhooks (kill switch)
Example:
false
Maximum webhook requests per minute for this organization (max 10,000). Null uses the default global rate.
Required range:
0 < x <= 10000Example:
30
Response
Successfully updated org config
Successful response containing org config data (defaults provided if not configured)
Organization-level configuration settings
Show child attributes
Show child attributes